#### D.13.1.17 ellipticNFDB

Procedure from library `polymake.lib` (see polymake_lib).

Usage:
  ellipticNFDB(n[,#]); n int, # list

Assume:
  n is an integer between 1 and 16

Purpose:
  this is a database storing the 16 normal forms of planar polygons with precisely one interior point up to unimodular affine transformations
  (see e.g. Bjorn Poonen, Fernando Rodriguez-Villegas: Lattice Polygons and the number 12. Amer. Math. Monthly 107 (2000), no. 3, 238--250.)

Return:
  list, L such that
  L[1] : list whose entries are the vertices of the nth normal form
  L[2] : list whose entries are all the lattice points of the nth normal form
  L[3] : only present if the optional parameter # is present, and then it is a polynomial in the variables (x,y) whose
  Newton polygon is the nth normal form

Note:
  the optional parameter is only allowed if the basering has the variables x and y

Example:

    LIB "polymake.lib";
    list nf=ellipticNFDB(5);
    // the vertices of the 5th normal form are
    nf[1];
    // its lattice points are
    nf[2];

User manual for Singular version 4-0-3, 2016, generated by texi2html.